/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.dto.atuScript.atuScriptInfo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.scriptcase.db.entity.AtuScriptInfo;
import net.northking.cctp.scriptcase.dto.atuscriptrecord.ScriptInputTableDto;

import java.io.Serializable;
import java.util.List;

/**
* Restful接口--资源详情--数据传输对象：脚本信息表
*
* createdate:  2022-10-18 17:29:51  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "脚本信息表")
public class AtuScriptInfoDetailDto extends AtuScriptInfo implements Serializable
{
    @ApiModelProperty("版本名称")
    private String versionName;
    @ApiModelProperty("创建人")
    private String creator;
    @ApiModelProperty("更新人")
    private String modifier;
    @ApiModelProperty("负责人")
    private String principal;
    @ApiModelProperty("脚本输入项实际数据")
    private ScriptInputTableDto inputs;
    @ApiModelProperty("脚本json字符串")
    private String scriptJsonStr;

    @ApiModelProperty("脚本输入项参数")
    private List<Object> inputList;
    @ApiModelProperty("脚本输出项参数")
    private List<Object> outputList;

    public List<Object> getInputList() {
        return inputList;
    }

    public void setInputList(List<Object> inputList) {
        this.inputList = inputList;
    }

    public List<Object> getOutputList() {
        return outputList;
    }

    public void setOutputList(List<Object> outputList) {
        this.outputList = outputList;
    }

    public String getScriptJsonStr() {
        return scriptJsonStr;
    }

    public void setScriptJsonStr(String scriptJsonStr) {
        this.scriptJsonStr = scriptJsonStr;
    }

    public ScriptInputTableDto getInputs() {
        return inputs;
    }

    public void setInputs(ScriptInputTableDto inputs) {
        this.inputs = inputs;
    }

    public String getVersionName() {
        return versionName;
    }

    public void setVersionName(String versionName) {
        this.versionName = versionName;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getPrincipal() {
        return principal;
    }

    public void setPrincipal(String principal) {
        this.principal = principal;
    }
}